Bug 175831 - Opt all Mac clients into document-level media user gesture quirks
Summary: Opt all Mac clients into document-level media user gesture quirks
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Matt Rajca
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-22 10:47 PDT by Matt Rajca
Modified: 2017-09-12 08:27 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.61 KB, patch)
2017-08-22 10:48 PDT, Matt Rajca
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 (1.25 MB, application/zip)
2017-08-22 11:42 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-elcapitan (1.15 MB, application/zip)
2017-08-22 11:55 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-elcapitan (1.89 MB, application/zip)
2017-08-22 12:08 PDT, Build Bot
no flags Details
Patch (9.03 KB, patch)
2017-08-22 13:39 PDT, Matt Rajca
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-elcapitan (1.93 MB, application/zip)
2017-08-22 16:23 PDT, Build Bot
no flags Details
Patch (8.99 KB, patch)
2017-08-23 08:42 PDT, Matt Rajca
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Rajca 2017-08-22 10:47:27 PDT
This un-breaks many of the sites that take a long time to load video ad elements on-demand.
Comment 1 Matt Rajca 2017-08-22 10:48:59 PDT
Created attachment 318765 [details]
Patch
Comment 2 Matt Rajca 2017-08-22 10:49:24 PDT
Not to be reviewed.
Comment 3 Build Bot 2017-08-22 11:41:59 PDT
Comment on attachment 318765 [details]
Patch

Attachment 318765 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4362089

New failing tests:
http/tests/media/autoplay-if-audio-is-playing.html
Comment 4 Build Bot 2017-08-22 11:42:02 PDT
Created attachment 318777 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-08-22 11:55:17 PDT
Comment on attachment 318765 [details]
Patch

Attachment 318765 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4362270

New failing tests:
http/tests/media/autoplay-if-audio-is-playing.html
Comment 6 Build Bot 2017-08-22 11:55:19 PDT
Created attachment 318778 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 7 Build Bot 2017-08-22 12:08:50 PDT
Comment on attachment 318765 [details]
Patch

Attachment 318765 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4362276

New failing tests:
http/tests/media/autoplay-if-audio-is-playing.html
Comment 8 Build Bot 2017-08-22 12:08:53 PDT
Created attachment 318779 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 9 Matt Rajca 2017-08-22 13:39:06 PDT
Created attachment 318790 [details]
Patch
Comment 10 Matt Rajca 2017-08-22 13:43:53 PDT
<rdar://problem/33996723>
Comment 11 Build Bot 2017-08-22 16:22:58 PDT
Comment on attachment 318790 [details]
Patch

Attachment 318790 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4364207

New failing tests:
media/track/track-element-load-event.html
Comment 12 Build Bot 2017-08-22 16:23:00 PDT
Created attachment 318821 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 13 Matt Rajca 2017-08-22 16:55:47 PDT
(In reply to Build Bot from comment #12)
> Created attachment 318821 [details]
> Archive of layout-test-results from ews116 for mac-elcapitan
> 
> The attached test failures were seen while running run-webkit-tests on the
> mac-debug-ews.
> Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6

The Mac debug failure looks like an unrelated assertion failure in updating text track displays: ASSERT(m_mediaControlsHost);
Comment 14 Matt Rajca 2017-08-23 08:42:44 PDT
Created attachment 318873 [details]
Patch
Comment 15 Matt Rajca 2017-08-23 09:33:41 PDT
(In reply to Matt Rajca from comment #13)
> (In reply to Build Bot from comment #12)
> > Created attachment 318821 [details]
> > Archive of layout-test-results from ews116 for mac-elcapitan
> > 
> > The attached test failures were seen while running run-webkit-tests on the
> > mac-debug-ews.
> > Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
> 
> The Mac debug failure looks like an unrelated assertion failure in updating
> text track displays: ASSERT(m_mediaControlsHost);

Re-running EWS fixed it.
Comment 16 Eric Carlson 2017-08-23 14:55:43 PDT
Comment on attachment 318873 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=318873&action=review

> Source/WebCore/ChangeLog:3
> +        Opt all Mac clients into document-level media user gesture quirks.

"all Mac clients" is not accurate, can't any host app set needsSiteSpecificQuirks to true?
Comment 17 Matt Rajca 2017-08-23 16:20:22 PDT
(In reply to Eric Carlson from comment #16)
> Comment on attachment 318873 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=318873&action=review
> 
> > Source/WebCore/ChangeLog:3
> > +        Opt all Mac clients into document-level media user gesture quirks.
> 
> "all Mac clients" is not accurate, can't any host app set
> needsSiteSpecificQuirks to true?

This quirk is under #if PLATFORM(MAC) so it doesn't affect iOS.
Comment 18 Eric Carlson 2017-08-23 16:24:55 PDT
Comment on attachment 318873 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=318873&action=review

>>> Source/WebCore/ChangeLog:3
>>> +        Opt all Mac clients into document-level media user gesture quirks.
>> 
>> "all Mac clients" is not accurate, can't any host app set needsSiteSpecificQuirks to true?
> 
> This quirk is under #if PLATFORM(MAC) so it doesn't affect iOS.

Yes, but won't this change the behavior of a WebKit app on a non-macOS platform that calls settings.setNeedsSiteSpecificQuirks(true)?
Comment 19 Matt Rajca 2017-08-23 16:27:28 PDT
(In reply to Eric Carlson from comment #18)
> Comment on attachment 318873 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=318873&action=review
> 
> >>> Source/WebCore/ChangeLog:3
> >>> +        Opt all Mac clients into document-level media user gesture quirks.
> >> 
> >> "all Mac clients" is not accurate, can't any host app set needsSiteSpecificQuirks to true?
> > 
> > This quirk is under #if PLATFORM(MAC) so it doesn't affect iOS.
> 
> Yes, but won't this change the behavior of a WebKit app on a non-macOS
> platform that calls settings.setNeedsSiteSpecificQuirks(true)?

No. It only applies to Mac clients that opt-into quirks. Do we want it to run on non-macOS platforms as well?
Comment 20 Matt Rajca 2017-08-30 11:45:21 PDT
Committed r221386: <http://trac.webkit.org/changeset/221386>